summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorZack Middleton <zturtleman@gmail.com>2013-03-06 18:00:03 -0600
committerTim Angus <tim@ngus.net>2013-03-19 16:41:16 +0000
commit218997fe4114d8117869eabe5692746f4d6bc30c (patch)
tree1e3a97db320461addaaf05409ff587a3392c843f /build-test.sh
parentb2f0eb27e22e7e828c31629be5d05b00f2f69e83 (diff)
Improve build-test.sh for non-travis-ci usage
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/build-test.sh b/build-test.sh
index db582c0c..afdedc10 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -9,17 +9,20 @@ failed=0;
make clean
(make USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
-# Test mingw (gcc)
-if [ "$CC" = "gcc" ]; then
- # clear CC so script will set it.
- export CC=
- (exec ./cross-make-mingw.sh) || failed=1;
+# Test mingw
+if [ "$CC" = "clang" ]; then
+ # skip mingw if travis-ci clang build
+ echo "Skipping mingw build because there is no mingw clang compiler available.";
+else
+ # clear CC so cross-make-mingw script will set it.
+ export CC=
+ (exec ./cross-make-mingw.sh) || failed=1;
fi
if [ $failed -eq 1 ]; then
- echo "Build failure.";
+ echo "Build failure.";
else
- echo "All builds successful.";
+ echo "All builds successful.";
fi
exit $failed;